=== debian/changelog ===
calamares (3.2.1-1ubuntu3) cosmic; urgency=medium

  [ Simon Quigley ]
  * Run wrap-and-sort.
  * Update Vcs-* for maintaining in Lubuntu.
  * Update Standards-version to 4.2.0, no changes needed.

  [ Walter Lapchynski ]
  * Fix default desktop environment variable in displaymanager.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 20 Aug 2018 22:16:19 -0700

calamares (3.2.1-1ubuntu2) cosmic; urgency=medium

  * Add package hook for apport.

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 19 Aug 2018 09:13:55 -0700

calamares (3.2.1-1ubuntu1) cosmic; urgency=medium

  * Add a build dependency on libpwquality-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 14 Aug 2018 17:15:54 -0500

calamares (3.2.1-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:53:45 +0000

calamares (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update copyright file
  * Apply patches from Paul Rodrigo Segura to re-enable pythonqt support.

 -- Jonathan Carter <jcc@debian.org>  Tue, 26 Jun 2018 14:33:04 +0200
