## calamares 3.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,9 @@
 # Example usage:
 #
 #   cmake . -DSKIP_MODULES="partition luksbootkeycfg"
+#
+# One special target is "show-version", which can be built
+# to obtain the version number from here.
 
 project( calamares C CXX )
 
@@ -36,13 +39,30 @@
 
 ### OPTIONS
 #
-option( INSTALL_CONFIG "Install configuration files" ON )
+option( INSTALL_CONFIG "Install configuration files" OFF )
 option( INSTALL_POLKIT "Install Polkit configuration" ON )
 option( BUILD_TESTING "Build the testing tree." ON )
 option( WITH_PYTHON "Enable Python modules API (requires Boost.Python)." ON )
 option( WITH_PYTHONQT "Enable next generation Python modules API (experimental, requires PythonQt)." ON )
 option( WITH_KF5Crash "Enable crash reporting with KCrash." ON )
 
+### USE_*
+#
+# By convention, when there are multiple modules that implement similar
+# functionality, and it only makes sense to have **at most one** of them
+# enabled at any time, those modules are named <foo>-<implementation>.
+# For example, services-systemd and services-openrc.
+#
+# Setting up SKIP_MODULES to ignore "the ones you don't want" can be
+# annoying and error-prone (e.g. if a new module shows up). The USE_*
+# modules provide a way to do automatic selection. To pick exactly
+# one of the implementations from group <foo>, set USE_<foo> to the
+# name of the implementation. If USE_<foo> is unset, or empty, then
+# all the implementations are enabled (this just means they are
+# **available** to `settings.conf`, not that they are used).
+#
+# Currently, no USE_<foo> variables exist.
+set( USE_services "" CACHE STRING "Select the services module to use" )
 
 ### Calamares application info
 #
@@ -54,9 +74,8 @@
 
 set( CALAMARES_VERSION_MAJOR 3 )
 set( CALAMARES_VERSION_MINOR 2 )
-set( CALAMARES_VERSION_PATCH 1 )
+set( CALAMARES_VERSION_PATCH 2 )
 set( CALAMARES_VERSION_RC 0 )
-
 
 ### Transifex (languages) info
 #
@@ -315,27 +334,3 @@
 # Some binaries from the build host (e.g. /bin and /lib) are also
 # squashed into the example filesystem.
 #
-# To build the example distro (for use by the default, example,
-# unsquashfs module), build the target 'example-distro', eg.:
-#
-#   make example-distro
-#
-find_program( mksquashfs_PROGRAM mksquashfs )
-if( mksquashfs_PROGRAM )
-    set( mksquashfs_FOUND ON )
-    set( src_fs ${CMAKE_SOURCE_DIR}/data/example-root/ )
-    set( dst_fs ${CMAKE_BINARY_DIR}/example.sqfs )
-    if( EXISTS ${src_fs} )
-        # based on the build host. If /lib64 exists, assume it is needed.
-        # Collect directories needed for a minimal binary distro,
-        # Note that the last path component is added to the root, so
-        # if you add /usr/sbin here, it will be put into /sbin_1.
-        # Add such paths to /etc/profile under ${src_fs}.
-        set( candidate_fs /sbin /bin /lib /lib64 )
-        set( host_fs "" )
-        foreach( c_fs ${candidate_fs} )
-            if( EXISTS ${c_fs} )
-                list( APPEND host_fs ${c_fs} )
-            endif()
-        endforeach()
-        add_custom_command(
