=== debian/changelog ===
calamares (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.2.1 
  * debian/control: wrap-and-sort
  * Remove 0002-Add-patch-to-compile-with-pythonQt.patch (fixed upstream)
  * Remove 0003-remove-wrong-path.patch (no longer needed)
  * Remove extra-license-file lintian override (no longer needed)
  * Remove spelling error lintian override (no longer needed)

 -- Jonathan Carter <jcc@debian.org>  Mon, 10 Sep 2018 09:12:14 +0200
