=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: calamares
 Section: utils
 Priority: optional
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: cmake,
                cryptsetup,
                debhelper (>= 11),
@@ -21,7 +20,6 @@
                libkpmcore-dev,
                libparted-dev,
                libpolkit-qt5-1-dev,
-               libpwquality-dev,
                libpythonqt-qt5-python3-dev,
                libpythonqt-qtall-qt5-python3-dev,
                libqt5svg5-dev,
@@ -40,12 +38,10 @@
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/calamares/calamares
-Vcs-Browser: https://phab.lubuntu.me/source/calamares/
-Vcs-Git: https://phab.lubuntu.me/source/calamares.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
-XS-Debian-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git
 
 Package: calamares
 Architecture: linux-any
