## calamares 3.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -74,7 +74,7 @@
 
 set( CALAMARES_VERSION_MAJOR 3 )
 set( CALAMARES_VERSION_MINOR 2 )
-set( CALAMARES_VERSION_PATCH 2 )
+set( CALAMARES_VERSION_PATCH 3 )
 set( CALAMARES_VERSION_RC 0 )
 
 ### Transifex (languages) info
