=== src/modules/locale/CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,17 @@
             ${YAMLCPP_LIBRARY}
     )
     set_target_properties( geoiptest PROPERTIES AUTOMOC TRUE )
+
+    ecm_add_test(
+            Tests.cpp
+            LocaleConfiguration.cpp
+        TEST_NAME
+            localetest
+        LINK_LIBRARIES
+            calamares
+            Qt5::Test
+    )
+    set_target_properties( localetest PROPERTIES AUTOMOC TRUE )
 endif()
 
 if( BUILD_TESTING )
