=== debian/changelog ===
calamares (3.2.3-2) unstable; urgency=medium

  * Add libpwquality-dev to build-depends
  * Remove patch to use sudo instead of pkexec
    (pkexec seems to work fine now on all debian variants)

 -- Jonathan Carter <jcc@debian.org>  Mon, 21 Jan 2019 11:58:37 +0200

calamares (3.2.3-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years
  * Update standards version to 4.3.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 10 Jan 2019 09:09:48 +0200

calamares (3.2.2-4) unstable; urgency=medium

  * Rebuild for latest pythonqt with Python 3.7

 -- Jonathan Carter <jcc@debian.org>  Mon, 10 Dec 2018 14:10:22 +0200

calamares (3.2.2-3) unstable; urgency=medium

  * Re-add lintian-overrides removed in error

 -- Jonathan Carter <jcc@debian.org>  Tue, 27 Nov 2018 09:45:18 +0200

calamares (3.2.2-2) unstable; urgency=medium

  * Version bump (no changes)

 -- Jonathan Carter <jcc@debian.org>  Thu, 22 Nov 2018 23:07:48 +0200
