=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                libpolkit-qt5-1-dev,
                libpythonqt-qt5-python3-dev,
                libpythonqt-qtall-qt5-python3-dev,
+	       libpwquality-dev,
                libqt5svg5-dev,
                libqt5webkit5-dev,
                libyaml-cpp-dev,
@@ -38,7 +39,7 @@
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/calamares/calamares
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git
